/* eslint no-unused-vars: 1 */

export default class AbstractVisualizationService {
    static serviceName = 'VisualizationService';

    setComponent(component) {}

    getComponent() {}

    update(configuration) {}

    registerUpdateFunction(onUpdateFn) {}

    registerScreenshotsGetter(getScreenshotsFn) {}

    getScreenshots() {}
}
